﻿using BaseApplicationProject.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BaseApplicationProject.ViewModels
{
    public class ExampleViewModel
    {
        public ExampleViewModel()
        {
            this.Items1 = new ObservableCollection<DataItem>()
                {
                    new DataItem { Title = "Item 1" },
                    new DataItem { Title = "Item 2" },
                    new DataItem { Title = "Item 3" },
                    new DataItem { Title = "Item 4" },
                    new DataItem { Title = "Item 5" },
                    new DataItem { Title = "Item 6" },
                };

            this.Items2 = new ObservableCollection<DataItem>()
                {
                    new DataItem { Title = "Group A" },
                    new DataItem { Title = "Group B" },
                    new DataItem { Title = "Group C" },
                };
        }

        private ObservableCollection<DataItem> GetData()
        {
            var items = new ObservableCollection<DataItem>();

            for (int i = 0; i < 5; i++)
            {
                var dataItem = new DataItem { Title = "Item " + i };
                for (int j = 0; j < 3; j++)
                {
                    var subDataItem = new DataItem { Title = "Sub Item " + j };
                    dataItem.Children.Add(subDataItem);
                }
                items.Add(dataItem);
            }

            return items;
        }

        public ObservableCollection<DataItem> Items1 { get; set; }
        public ObservableCollection<DataItem> Items2 { get; set; }
    }
}
